# Casscraft 1.0 Version ⚘

As I am a fan of Minecraft, I wanted to make my own texture pack, so, everyone get ready for **Casscraft**... my name is Cass, by the way...

For the game to see this texture pack, place it in the `/texturepacks/` folder, ensuring it is zipped. If you download this on GitHub (or a mirror), you will need to extract the ZIP, go one file up so you're in `/1_0/` and re-ZIP it once more and finally place the new ZIP in the pre-mentioned `/texturepacks/` folder so it will work.

This pack has been made for the [1.0 Full Release](https://minecraft.wiki/w/Java_Edition_1.0.0) Java version of the game.

## 1.0 Full Release

All the way back in 2011, after two and a half years of development, Minecraft was finally, at last, out of Beta and now officially released by Mojang. This was the update to end all updates, adding a lot of content to the game; new mobs like mooshrooms, baby animals, blazes, magma cubes, snow golems, and of course, a boss, that being the Ender Dragon*. The game also added new biomes - the frozen ocean, frozen rivers, ice mountains, and The End, plus many other things, not just mobs and biomes.

I, in fact, [wrote a review for this version that can be read](https://owlyfans.neocities.org/nb21/000b/#A%20Bad%20Review%20of:%20Minecraft%201.0), but the long and short is that this was certainly no small update.


*In this version of Minecraft, you seemly cannot rename items, mobs, or anything else, but the Ender Dragon has been renamed to The Pendragon in later versions of Casscraft.

## Assets Used

This pack has been made up of a few other random mods and textures, so as such, credit will be given to all of them that were used.

**[Cassettes](https://www.planetminecraft.com/texture-pack/cassettes)**

Replaces the music discs with cassette tapes.

**[Default Dark Mode](https://github.com/nebuIr/Default-Dark-Mode)**

Makes the GUI of the game darker and nicer on the eyes.

Not everything from Default Dark Mode is fully compatible with such older versions of Minecraft, such as `popup.png`, so we took the theme colors and edited it on the parts of the GUI that Default Dark Mode does not edit.

The pack is [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0).

**[Faithless](https://www.curseforge.com/minecraft/texture-packs/faithless)**

Casscraft uses all of the wool textures from Faithless, note that we are allowed to, under the following rules:

> You may reuse assets from this pack as long as clear and proper credit is given.

We gave credit here.

> You may use this pack in streams if clear and proper credit is given & linked

This does not apply to Cass Python's git, but please keep this in mind if you do use this in a stream.

> You may NOT profit directly off of my work, especially without permission.

No money has been made from Casscraft.

> Please do not share unofficial bedrock ports. Bedrock coming soon.

Casscraft has not officially been ported to Bedrock, only Java.

Note that while we did use all of the wool textures, `green_wool.png` was edited to make it lighter and match the normal grass color.

**[Helmet Tweaks](https://www.planetminecraft.com/texture-pack/helmet-tweaks-java-edition)**

Small edits to the many helmets in the game so that they have a nose protector (why this is not in the vanilla game, we will never know...).

This pack is [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0).

**[MineClone2](https://github.com/MineClone2/MineClone2)**

The cake textures were taken from this project, as well as the bricks.

**[Minecraft Earth](https://minecraft.wiki/w/Minecraft_Earth)**

The cow texture (`cow.png`) was taken from Minecraft Earth - it was edited so that it once again has the PC Gamer logo on. As well as this, the `pig.png` was also taken from the same game, also being edited so that the nose appears on the model.

`chicken.png` was also taken from this game, but was not edited.

**Random Items by Cass Python**

`pack.png` and `book.png` were edited by Cass Python for Casscraft.

> clouds.png

Most of the asset was made by Cass Python, but uses [`Arecibo message tiny.png`](https://commons.wikimedia.org/wiki/File:Arecibo_message_tiny.png) that was made by Pengo, we can use this image as it is CC0.

**char.png**

Currently in this version of the game, it no longer connects to the Mojang server to add your own Minecraft skin, so you will play as Steave, regardless of whether you own a legit copy of Minecraft or not, so Casscraft changes the file `char.png` so that you're playing as Efe, one of the current default skins in the game - why Efe? Well, I simply like the way they look over the other default skins, simple as.

If you want to replace this skin with a new one, you will need to edit this texture, replacing it with your own. Be warned, if you do use another skin, make sure it is 64 by 32 pixels and not 64 by 64 or else it will look strange in-game.

It _is_ possible to make it so you play as your own skin, but like changing `char.png`, it is unofficial. Regardless, if you add the following Java arguments to your port, you should have your own normal skin, same for other players when you play on a server.

```
-Dhttp.proxyHost=betacraft.uk -Dhttp.proxyPort=11705
```

If you want to be able to play as Steve, all you need to do is just delete this file, then re-ZIP up the Classcraft folder and you should be all good.
